{{- if .Values.monitoring.grafanaDashboard.enabled }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "switchboard.fullname" . }}-grafana-dashboard
  labels:
    {{- include "switchboard.labels" . | nindent 4 }}
    {{- with .Values.monitoring.grafanaDashboard.labels }}
    {{- toYaml . | nindent 4 }}
    {{- end }}
data:
  switchboard-overview.json: |-
    {{- .Files.Get "dashboards/switchboard-overview.json" | nindent 4 }}
{{- end }}
